package com.ruoyi.ems.service;

import com.ruoyi.ems.domain.EmsSubsystem;

import java.util.List;

/**
 * 能源子系统Service接口
 * 
 * @author ruoyi
 * @date 2024-08-16
 */
public interface IEmsSubsystemService
{
    /**
     * 查询能源子系统
     * 
     * @param id 能源子系统主键
     * @return 能源子系统
     */
     EmsSubsystem selectEmsSubsystemById(Long id);

    /**
     * 查询能源子系统列表
     * 
     * @param admEmsSubsystem 能源子系统
     * @return 能源子系统集合
     */
     List<EmsSubsystem> selectEmsSubsystemList(EmsSubsystem admEmsSubsystem);

    /**
     * 新增能源子系统
     * 
     * @param admEmsSubsystem 能源子系统
     * @return 结果
     */
     int insertEmsSubsystem(EmsSubsystem admEmsSubsystem);

    /**
     * 修改能源子系统
     * 
     * @param admEmsSubsystem 能源子系统
     * @return 结果
     */
     int updateEmsSubsystem(EmsSubsystem admEmsSubsystem);

    /**
     * 批量删除能源子系统
     * 
     * @param ids 需要删除的能源子系统主键集合
     * @return 结果
     */
     int deleteEmsSubsystemByIds(Long[] ids);

    /**
     * 删除能源子系统信息
     * 
     * @param id 能源子系统主键
     * @return 结果
     */
     int deleteEmsSubsystemById(Long id);
}
